package nl.amis.football.gantt.model;

import java.util.ArrayList;
import java.util.List;


public class FootballManager {
    
    private List<Competition> competitions;
    
    public FootballManager() {
        competitions = new ArrayList<Competition>();
        
        Competition c = new Competition("UEFA Champions League");
        c.getResults().add(new YearResult("Inter Milan", 2010, 1));
        c.getResults().add(new YearResult("Bayern Muenchen", 2010, 2));
        c.getResults().add(new YearResult("FC Barcelona", 2011, 1));
        c.getResults().add(new YearResult("Manchester United", 2011, 2));
        c.getResults().add(new YearResult("Chelsea", 2012, 1));
        c.getResults().add(new YearResult("FC Twente", 2012, 2));
        competitions.add(c);

        c = new Competition("Netherlands: Eredivisie");
        c.getResults().add(new YearResult("AJAX", 2012, 1));
        c.getResults().add(new YearResult("Feyenoord", 2012, 2));
        c.getResults().add(new YearResult("PSV", 2012, 3));
        c.getResults().add(new YearResult("AJAX", 2011, 1));
        c.getResults().add(new YearResult("FC Twente", 2011, 2));
        c.getResults().add(new YearResult("PSV", 2011, 3));
        c.getResults().add(new YearResult("FC Twente", 2010, 1));
        c.getResults().add(new YearResult("AJAX", 2010, 2));
        c.getResults().add(new YearResult("PSV", 2010, 3));
        competitions.add(c);

        c = new Competition("Germany: Bundesliga");
        c.getResults().add(new YearResult("Borrusia Dortmund", 2012, 1));
        c.getResults().add(new YearResult("Hannover '96", 2012, 2));
        c.getResults().add(new YearResult("Schalke", 2012, 3));
        c.getResults().add(new YearResult("Alemania Aachen", 2011, 1));
        c.getResults().add(new YearResult("HSV", 2011, 2));
        c.getResults().add(new YearResult("Werder Bremen", 2011, 3));
        c.getResults().add(new YearResult("Bayern Muenchen", 2010, 1));
        c.getResults().add(new YearResult("Eintracht Frankfurt", 2010, 2));
        c.getResults().add(new YearResult("Muenster Manschaft", 2010, 3));
        competitions.add(c);
        c = new Competition("England: Premier League");
        c.getResults().add(new YearResult("Arsenal", 2012, 1));
        c.getResults().add(new YearResult("Reading", 2012, 2));
        c.getResults().add(new YearResult("Conventry City", 2012, 3));
        c.getResults().add(new YearResult("Manchester United", 2011, 1));
        c.getResults().add(new YearResult("Chelsea", 2011, 2));
        c.getResults().add(new YearResult("Swansea", 2011, 3));
        c.getResults().add(new YearResult("Swansea", 2010, 1));
        c.getResults().add(new YearResult("Liverpool FC", 2010, 2));
        c.getResults().add(new YearResult("Aston Villa", 2010, 3));
        competitions.add(c);
        c = new Competition("Spain: Primera Division");
        c.getResults().add(new YearResult("Real Madrid", 2012, 1));
        c.getResults().add(new YearResult("FC Barcelona", 2012, 2));
        c.getResults().add(new YearResult("Valencia", 2012, 3));
        c.getResults().add(new YearResult("FC Barcelona", 2011, 1));
        c.getResults().add(new YearResult("Real Madrid", 2011, 2));
        c.getResults().add(new YearResult("Valladolid", 2011, 3));
        c.getResults().add(new YearResult("Granada", 2010, 1));
        c.getResults().add(new YearResult("Tenerife", 2010, 2));
        c.getResults().add(new YearResult("Espanol", 2010, 3));
        competitions.add(c);
             
    }

public static void main(String[] args) {
    FootballManager fm = new FootballManager();
    fm.showResults(fm.getCompetitions());
    }

    public static void showResults(List<Competition> competitions) {
        for (Competition competition:competitions) {
            System.out.println("Competition: "+competition.getIdentifier());
            competition.showResults(competition.getResults());
        }
        }

    public void setCompetitions(List<Competition> competitions) {
        this.competitions = competitions;
    }

    public List<Competition> getCompetitions() {
        return competitions;
    }
}
