package nl.amis.football.gantt.model;

import java.text.ParseException;
import java.text.SimpleDateFormat;

import java.util.Date;


public class YearResult {
        
    private String teamIdentifier;
    private Short year;
    private Short position;
    

    public YearResult(String teamIdentifier, Short year, Short position) {
        super();
        this.teamIdentifier = teamIdentifier;
        this.year = year;
        this.position = position;
    }

    public YearResult(String teamIdentifier, Integer year, Integer position) {
        this.teamIdentifier = teamIdentifier;
        this.year = year.shortValue();
        this.position = position.shortValue();
    }

    private static SimpleDateFormat sdf = new SimpleDateFormat("dd-MM-yyyy HH:mm");

    public Date getStartDate() {
        Date startDate = null;
        try {
            startDate = sdf.parse("01-01-"+year+" 12:00");
        } catch (ParseException e) {}
        return startDate;        
    }
    
    public Date getEndDate() {
        String endDateString = "";
        String monthString ="";
        if (position==1) {
            monthString = "11";
        }
        if (position==2) {
            monthString = "09";
        }
        if (position==3) {
            monthString = "07";
        }
        endDateString="01-"+monthString+"-"+year+" 12:00";
        Date endDate = null;
        try {
            endDate = sdf.parse(endDateString);
        } catch (ParseException e) {}
        return endDate;        
    }


    public void setTeamIdentifier(String teamIdentifier) {
        this.teamIdentifier = teamIdentifier;
    }

    public String getTeamIdentifier() {
        return teamIdentifier;
    }
    public String getIdentifier() {
        return teamIdentifier+year;
    }

    public String getResultType() {
        String resultType = "normal";
        if (1==position) {
            resultType = "Gold";
        }
        if (2==position) {
            resultType = "Silver";
        }
        if (3==position) {
            resultType = "Bronze";
        }
        return resultType;
    }

    public void setYear(Short year) {
        this.year = year;
    }

    public Short getYear() {
        return year;
    }

    public void setPosition(Short position) {
        this.position = position;
    }

    public Short getPosition() {
        return position;
    }
}
